#include <X11/Xlib.h>
#include "g_visu.h"
#include "v_view.h"
#include "v_extern.h"
#include "d_asm.h"

d_clean_err()
{
extern BOOL D_ModeTrace;

	D_ModeTrace = TRUE;
	
	V_changeCursor(1);
	if (M_window != 0) { 
		XDestroyWindow (display, M_window);
		M_window = 0;
	}
	if (I_window != 0) { 
		XDestroyWindow (display, I_window);
		I_window = 0;
	}
	if (C_window != 0) { 
		XDestroyWindow (display, C_window);
		C_window = 0;
	}
	E_setMenu();
	E_drawMenu();
}
